Subject: Re: [devuan-dev] bug#882: /etc/logrotate.d/lighttpd: Questionable use of invoke-rc.d

From: Opty <[email-masked]>
Date: Wed, 2 Apr 2025 14:42:19 +0200

On Wed, Apr 2, 2025 at 2:12 PM Lorenzo <[email-masked]> wrote:
> On Wed, 2 Apr 2025 13:56:10 +0200
> Opty <[email-masked]> wrote:
> > Now that Debian uses systemd by default I considered Devuan a better
> > place for System V style init stuff but I will think about reporting
> > to Debian BTS then.
>
> Please don't: while this may solve your use case it will break other
> more common use cases that are currently working.
> Example:
> lighttpd installed but disabled by the local admin (K links) but if
> service wrapper is used instead of invoke-rc.d the logrotate snippet
> will try to signal lighttpd regardless, which should not happen.

Good, no work for me. :-)

I should have written that I was actually afraid of something like
that in general but 'service' seemed as the best proposal at that
time. See also #881.

Regards,
Opty